/*********************************************************************
 *  SPDX-License-Identifier: MIT                                     *
 *  Copyright (C) 2007-2022 by Helge Kortendieck  alan@kasmithee.de  *
 *                                                                   *
 *  This file is part of qaplay.                                     *
 *********************************************************************/
#ifndef _ABOUTHELP_H_
#define _ABOUTHELP_H_

#include <QDialog>
#include <QPoint>
#include <QString>
#include <QWidget>

#include "ui_abouthelp.h"


class AboutHelp : public QDialog
{
	Q_OBJECT

public:
	AboutHelp(QDialog* parent = 0);
		~AboutHelp();

private:
	int iD;
	int iD2;

	QString sCredits;

	Ui::Help uih;			// help widget

	QDialog wHelp;			// help widget

	QPoint qPos;

	QString sHelp;			// about/help text

private slots:
	void closeDlg();		// close dialog

	void showAh(int iD);	// show about or help
	void showAbout();		// show about dialog
	void showHelp();		// show help dialog

	signals:
		void sigAhQapDelete();
};

#endif
