/***************************************************************************
 *   Copyright (C) 2007-2013 by Helge Kortendieck  alan@kasmithee.de       *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.         *
 ***************************************************************************/

#ifndef _SONGINFO_H_
#define _SONGINFO_H_

#include <QDialog>
#include <QPoint>
#include <QString>
#include <QWidget>

#include "ui_songinfo.h"

#include "structs.h"


class songInfo : public QDialog
{
	Q_OBJECT

public:
	songInfo(QDialog* parent = 0, Qt::WindowFlags fl = 0 );
		~songInfo();

private:
	int iD;
	int iD2;

	QString sCredits;

	SongInfo siDSi;			// song info struct entity

	Ui::SI uisi;			// song info widget

	QDialog wSi;			// song info widget

	QPoint qPos;

private slots:
	void closeDlg();		// close dialog

	void showSi(const SongInfo& siDSi);	// show about or help

	signals:
		void sigDelSi();
};

#endif
